﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace data.DAO
{
    public class Diary
    {
        [Key]
        public int Id { get; set; }

        public string? DiaryText { get; set; }

        public int TrafficId { get; set; }

        public int StudentGroupSubjectId { get; set; }

        public int StudentId { get; set; }

        public virtual Traffic Traffic { get; set; }

        public virtual StudentGroupSubject StudentGroupSubject { get; set; }
        public virtual Student Student { get; set; }

        public int NumberSubject { get; set; }

        public DateOnly Date { get; set; }
    }
}
