﻿using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace data.DAO
{
    public class StudentGroupSubject
    {
        [Key]
        public int Id { get; set; }
        public virtual Group Group { get; set; }
        public int SemesterStart { get; set; }
        public int SemesterEnd { get; set; }
        public virtual Subject Subject { get; set; }

        public virtual ICollection<Diary> Diaries { get; set; } = new List<Diary>();
    }
}
