using data.DAO;
using System;
using System.Collections.Generic;

namespace data.Repository
{
    public interface IPresenceRepository
    {
        IEnumerable<Diary> GetPresence(
            int groupId,
            int? subjectId = null,
            DateOnly? date = null,
            int? studentId = null);

        public void DeleteAllPresence();

        public void DeleteGroupPresence(int groupId);

        public void AddPresenceRecords(List<Diary> items);

        public void UpdatePresenceRecords(List<Diary> items);
    }
}
