using domain.Entity;
using domain.Request;
using System;
using System.Collections.Generic;

namespace domain.UseCase
{
    public interface IPresenceUseCase
    {
        IEnumerable<PresenceEntity> GetPresence(
            int groupId,
            int? subjectId = null,
            DateOnly? date = null,
            int? studentId = null);
            
        void DeleteAllPresence();
        void DeleteGroupPresence(int groupId);
        void AddPresenceRecords(AddPresenceRequest request);
        void UpdatePresenceRecords(UpdatePresenceRequest request);
    }
}
